"{ Package: 'stx:goodies/monticello' }"

MCDoItParser subclass:#MCSystemCategoryParser
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Monticello-Chunk Format'
!


!MCSystemCategoryParser class methodsFor:'as yet unclassified'!

pattern
	^ 'SystemOrganization*'
! !

!MCSystemCategoryParser methodsFor:'as yet unclassified'!

addDefinitionsTo: aCollection
	| definition |
	definition := aCollection detect: [:ea | ea isOrganizationDefinition ] ifNone: [aCollection add: (MCOrganizationDefinition categories: #())].
	definition categories: (definition categories copyWith: self category).
!

category
	| tokens  |
	tokens := Scanner new scanTokens: source.
	tokens size = 3 ifFalse: [self error: 'Unrecognized category definition'].
	^ tokens at: 3
! !

!MCSystemCategoryParser class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCSystemCategoryParser.st,v 1.4 2012-09-11 21:29:32 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCSystemCategoryParser.st,v 1.4 2012-09-11 21:29:32 cg Exp $'
!

version_SVN
    ^ 'Id: MCSystemCategoryParser.st 5 2010-08-29 07:30:29Z vranyj1 '
! !
