"{ Package: 'stx:goodies/monticello/test' }"

MCRepositoryTest subclass:#MCDirectoryRepositoryTest
	instanceVariableNames:'directory'
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-Tests'
!


!MCDirectoryRepositoryTest methodsFor:'as yet unclassified'!

addVersion: aVersion
	| file |
	file _ FileStream newFileNamed: (directory fullNameFor: aVersion fileName).
	aVersion fileOutOn: file.
	file close.
!

directory
	directory ifNil:
		[directory _ FileDirectory default directoryNamed: 'mctest'.
		directory assureExistence].
	^ directory
!

setUp
	repository _ MCDirectoryRepository new directory: self directory
!

tearDown
	self directory recursiveDelete
! !

!MCDirectoryRepositoryTest class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/test/MCDirectoryRepositoryTest.st,v 1.1 2006-11-22 13:01:21 cg Exp $'
! !
